<script>
const API_URL = `http://localhost:8000/api/users`
import axios from 'axios';
import Liste from './Liste.vue'

export default {
  components: {
    Liste
  },
  data() {
    return {
      posts: [],
      errors: []
    }
  },
  created() {
    axios.get(API_URL).then(response => this.posts = response.data)
        .catch(e => {
          this.errors.push(e)
        })
  }
}
</script>

<template>


  <ol>
    <Liste
        v-for="post in posts"
        :todo="post"
        :key="post"
    ></Liste>
  </ol>
</template>